Показано с 1 по 4 из 4

Тема: Апач 2 против Апач 1

  1. #1
    Senior Member
    Регистрация
    07.05.2009
    Сообщений
    203

    По умолчанию Апач 2 против Апач 1

    Добрый день.
    Предстоит покупка нового VDS-сервера.
    Предлагается связка FreeBSD6.3+Apache 1.34+PHP5 + ISPManager Lite.
    Спрашиваю, а почему не Apache 2 и не FreeBSD 7.*?
    Отвечают, что по умолчанию ISP Manager ставит сначала Apache 1 и устанавливаются зависимости между пакетами, а Apache 2, устанавливаемый далее из ISPManagera (или из пакетов) в дальнейшем работает некорректно. Кроме того, изначально ISPManager разрабатывался для Apache 1 и нет никакого смысла переходить на Apache 2, поскольку он весьма ресурсоёмкий, особенно по памяти.
    Вот и встаёт вопрос, каковы преимущества Apache 2 перед Apache 1 и стоит ли овчинка выделки. Я уже работаю на одном таком сервере с установленным Apache 2 дополнительно к Apache 1. ISPManager действительно подглючивает и приходится очень часто лазить в шелл, чтобы изменить или подправить конфигурацию.
    Последний раз редактировалось bellatrix; 28.09.2009 в 17:54.

  2. #2

    По умолчанию

    Цитата Сообщение от bellatrix Посмотреть сообщение
    Отвечают, что по умолчанию ISP Manager ставит сначала Apache 1 и устанавливаются зависимости между пакетами, а Apache 2, устанавливаемый далее из ISPManagera (или из пакетов) в дальнейшем работает некорректно.
    ISPmanager сразу же ставит тот апач, который вы выберете, причём, по умолчанию - это apache 2.2

    Цитата Сообщение от bellatrix Посмотреть сообщение
    Вот и встаёт вопрос, каковы преимущества Apache 2 перед Apache 1 и стоит ли овчинка выделки.
    Актуален, скорее обратный вопрос. Единственное преимущество 1-го апача перед 2-м - это более скромное потребление ресурсов без нагрузки. А под нагрузкой ситуация, вполне может сложиться обратная.

  3. #3
    Senior Member
    Регистрация
    07.05.2009
    Сообщений
    203

    По умолчанию

    Спасибо за ответ.
    Странно, что же мне тогда голову морочат...

  4. #4
    Member
    Регистрация
    18.03.2009
    Сообщений
    31

    По умолчанию

    bellatrix, мне кажется что apache 1 - не вполне хорошее и современное решение, тем паче что в связке с php5. Пробовал, работает не очень хорошо в сравнении с 2-кой. Просите чтобы ставили Apache 2.2, если будут отказывать - признают свою же некомпетентность.

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •